<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: sd_object Module Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">sd_object Module Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a7a20eabd809d6290aaf536114bb371a8"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__object.html#a7a20eabd809d6290aaf536114bb371a8">cleanup_sd</a> (sd)</td></tr>
<tr class="separator:a7a20eabd809d6290aaf536114bb371a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaba6d9c7129bb3150cb36d38089aaf9"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__object.html#acaba6d9c7129bb3150cb36d38089aaf9">destroy_sd_ptr</a> (var_ptr)</td></tr>
<tr class="separator:acaba6d9c7129bb3150cb36d38089aaf9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9be5b59ec56e10760e390ebf5b8ddab5"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__object.html#a9be5b59ec56e10760e390ebf5b8ddab5">register_sd</a> (sd, first_sd_ptr, name, ierr)</td></tr>
<tr class="separator:a9be5b59ec56e10760e390ebf5b8ddab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08d45988cca08a8dc9488113bf61ed59"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__object.html#a08d45988cca08a8dc9488113bf61ed59">unregister_sd</a> (sd, first_sd_ptr, SILENT)</td></tr>
<tr class="separator:a08d45988cca08a8dc9488113bf61ed59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae354f1b9de49aa963e92b939971954eb"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__object.html#ae354f1b9de49aa963e92b939971954eb">build_group_sd</a> (sd)</td></tr>
<tr class="separator:ae354f1b9de49aa963e92b939971954eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59addafc43b1e680333195b41dc99a60"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__object.html#a59addafc43b1e680333195b41dc99a60">cleanup_sd_data_only</a> (sd)</td></tr>
<tr class="separator:a59addafc43b1e680333195b41dc99a60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bcddc0c15a59acdf56532ca8358fac4"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__object.html#a5bcddc0c15a59acdf56532ca8358fac4">register_shared_sd_ptr</a> (first_sd_ptr)</td></tr>
<tr class="separator:a5bcddc0c15a59acdf56532ca8358fac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b9e025abfcd564dcb2202fac351edbb"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacesd__object.html#a6b9e025abfcd564dcb2202fac351edbb">copy_sd_property</a> (a, b)</td></tr>
<tr class="separator:a6b9e025abfcd564dcb2202fac351edbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="ae354f1b9de49aa963e92b939971954eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae354f1b9de49aa963e92b939971954eb">&#9670;&nbsp;</a></span>build_group_sd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_object::build_group_sd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83">parser::end_of_a_param()</a>, <a class="el" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee">parser::get_param()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, <a class="el" href="namespaceparser.html#a49bc0f3be4d39b53d4bf04434c01407f">parser::in_param_getsize()</a>, <a class="el" href="namespaceparser.html#a6d1892cd3f7e48a6d903547c386dc6e0">parser::in_param_read_tag()</a>, <a class="el" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9">parser::in_param_rewind()</a>, <a class="el" href="namespaceparser.html#acefa5a2735f7ec139f6580dc7c54d6fa">parser::set_next_param()</a>, and <a class="el" href="namespaceparser.html#ae3121d6d90b5e736c0052273246821a8">parser::string_domain_default</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_ae354f1b9de49aa963e92b939971954eb_cgraph.png" border="0" usemap="#namespacesd__object_ae354f1b9de49aa963e92b939971954eb_cgraph" alt=""/></div>
<map name="namespacesd__object_ae354f1b9de49aa963e92b939971954eb_cgraph" id="namespacesd__object_ae354f1b9de49aa963e92b939971954eb_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83" title="parser::end_of_a_param" alt="" coords="233,89,396,116"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="251,191,378,217"/>
<area shape="rect" id="node7" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="463,289,627,316"/>
<area shape="rect" id="node10" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="267,292,363,319"/>
<area shape="rect" id="node12" href="namespaceparser.html#a49bc0f3be4d39b53d4bf04434c01407f" title="parser::in_param_getsize" alt="" coords="231,343,399,369"/>
<area shape="rect" id="node13" href="namespaceparser.html#a6d1892cd3f7e48a6d903547c386dc6e0" title="parser::in_param_read_tag" alt="" coords="227,393,403,420"/>
<area shape="rect" id="node14" href="namespaceparser.html#acefa5a2735f7ec139f6580dc7c54d6fa" title="parser::set_next_param" alt="" coords="235,140,394,167"/>
<area shape="rect" id="node4" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="468,107,623,133"/>
<area shape="rect" id="node5" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="463,158,628,199"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="475,223,616,265"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="451,5,640,32"/>
<area shape="rect" id="node9" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="473,56,617,83"/>
<area shape="rect" id="node11" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="480,341,611,382"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_ae354f1b9de49aa963e92b939971954eb_icgraph.png" border="0" usemap="#namespacesd__object_ae354f1b9de49aa963e92b939971954eb_icgraph" alt=""/></div>
<map name="namespacesd__object_ae354f1b9de49aa963e92b939971954eb_icgraph" id="namespacesd__object_ae354f1b9de49aa963e92b939971954eb_icgraph">
<area shape="rect" id="node2" href="namespacemulti__domain__load__m.html#a86a0ba421c2dc293134e5be34a6651ea" title="multi_domain_load_m\l::md_load_assign_overset" alt="" coords="428,213,603,255"/>
<area shape="rect" id="node8" href="namespacesd__func.html#a278846ef15de4042d4ddc5fb27565562" title="sd_func::sd_init_step1" alt="" coords="227,1462,380,1489"/>
<area shape="rect" id="node38" href="namespacesd__func.html#a16fa0e67a1a14a9d838701ad752672e6" title="sd_func::sd_init_step1\l_serial" alt="" coords="227,539,380,580"/>
<area shape="rect" id="node48" href="namespacesd__io__v005.html#a12573999d12f8689fcfb4a4f6f23ea99" title="sd_io_v005::read_sd\l_grid_v005" alt="" coords="232,655,375,696"/>
<area shape="rect" id="node3" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="665,5,819,47"/>
<area shape="rect" id="node5" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="885,283,1020,324"/>
<area shape="rect" id="node7" href="check__md__load_8f90.html#ac0903998f5357ec93790662697684088" title="check_md_load" alt="" coords="685,370,799,397"/>
<area shape="rect" id="node4" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="909,13,996,39"/>
<area shape="rect" id="node6" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1126,290,1195,317"/>
<area shape="rect" id="node9" href="accuop-v01_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="693,939,791,966"/>
<area shape="rect" id="node10" href="compareDataFiles_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="683,1209,801,1235"/>
<area shape="rect" id="node11" href="make__sd_2make__sd_8f90.html#a2d7374b709fd9606123d058907338753" title="make_sd" alt="" coords="478,2035,553,2062"/>
<area shape="rect" id="node12" href="namespaceparam__ciao.html#a44466c4427a87b55392d37b33a411738" title="param_ciao::param_ciao\l_write" alt="" coords="433,1396,597,1437"/>
<area shape="rect" id="node14" href="tools_2sd2plot_2sd2plot_8f90.html#ae121b8c26ef4430ec15c60026c8768a4" title="copy_sd_step2" alt="" coords="460,1142,571,1169"/>
<area shape="rect" id="node16" href="tools_2sd2plot_2sd2plot_8f90.html#a57e5344d18306324ff6e812e78beb9e3" title="sd2plot" alt="" coords="921,1150,985,1177"/>
<area shape="rect" id="node17" href="namespacesd__io.html#a07e2dc530709ebf03be665233080c4a6" title="sd_io::read_sd_file_all" alt="" coords="440,1345,591,1371"/>
<area shape="rect" id="node20" href="spectrum_8f90.html#a0d6d5cc29e192d38e0e26c84cc0d1fd1" title="spectrum" alt="" coords="704,1259,780,1286"/>
<area shape="rect" id="node21" href="tsf_8f90.html#a714f2ed0b514f8e0578a44cc3307a89c" title="tsf" alt="" coords="723,1310,761,1337"/>
<area shape="rect" id="node22" href="namespacesd__io.html#a10c65fb71f15b52e01b2b42b3bbbbe62" title="sd_io::sd_init_single_sd" alt="" coords="661,990,823,1017"/>
<area shape="rect" id="node23" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="709,1041,775,1067"/>
<area shape="rect" id="node24" href="namespacevdf__tools.html#aadf7c3eb5df72d827142fe4f951fc332" title="vdf_tools::sd_init\l_single_vdf" alt="" coords="681,655,803,696"/>
<area shape="rect" id="node25" href="write__sd__test_8f90.html#ab05e4f59a1d49bbd6c8a670e11b28d90" title="make_sd_overset" alt="" coords="453,1462,578,1489"/>
<area shape="rect" id="node27" href="write__sd__test_8f90.html#acd517e1ff76984cef2edcb2d5946d0ec" title="make_sd_accu" alt="" coords="460,1513,571,1539"/>
<area shape="rect" id="node28" href="write__sd__test_8f90.html#a72ffef9ba9022a70b5cb091f0c771bbc" title="make_sd_channel" alt="" coords="452,1563,579,1590"/>
<area shape="rect" id="node29" href="write__sd__test_8f90.html#aabbac0685a7692ae652b3a220b365ea3" title="make_sd_backstep" alt="" coords="448,1614,583,1641"/>
<area shape="rect" id="node30" href="write__sd__test_8f90.html#a1205f53abe0c3d34ab3fb41fc4d9bb73" title="make_sd_square_cyl" alt="" coords="443,1665,588,1691"/>
<area shape="rect" id="node31" href="write__sd__test_8f90.html#a2a824ee84ea6615538c4cfc113eae1e0" title="make_sd_square_cyl\l_uniform" alt="" coords="443,1716,588,1757"/>
<area shape="rect" id="node32" href="write__sd__test_8f90.html#a99ed169e7b75aff4d75f788c236ddaa8" title="make_sd_walk_chan" alt="" coords="443,1782,587,1809"/>
<area shape="rect" id="node33" href="write__sd__test_8f90.html#ad5567e32cb82c919a3939c59838fe681" title="make_sd_valeo" alt="" coords="459,2086,572,2113"/>
<area shape="rect" id="node34" href="write__sd__test_8f90.html#aa5cb1764957d88bcf804d21a98354b0f" title="make_sd_accu_af" alt="" coords="451,1833,579,1859"/>
<area shape="rect" id="node35" href="write__sd__test_8f90.html#a66efde67a0036d0a9ae1bb2d47dae8aa" title="make_sd_accu_3d" alt="" coords="450,1883,581,1910"/>
<area shape="rect" id="node36" href="write__sd__test_8f90.html#af82ae2d7414edc5b5bd58958add33f0c" title="make_sd_inv_vor" alt="" coords="453,1934,577,1961"/>
<area shape="rect" id="node37" href="write__sd__test_8f90.html#a6e1fc3458ef90f4b8684f3232369688c" title="make_sd_any_box" alt="" coords="450,1985,581,2011"/>
<area shape="rect" id="node13" href="init__flow_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="707,1513,777,1539"/>
<area shape="rect" id="node15" href="namespacesd__regrid__m.html#aeddef0f7b422be82ffa526defc2a4a63" title="sd_regrid_m::project\l_sd_with_regrid" alt="" coords="672,1143,812,1184"/>
<area shape="rect" id="node18" href="compare__sd_8f90.html#a7b6c7bafa53e8be2027b609dba43899b" title="compare_sd" alt="" coords="695,1411,789,1438"/>
<area shape="rect" id="node19" href="tools_2sd2plot_2sd2plot_8f90.html#a99f1e7580101bb9c1eb8c656fc07cd8d" title="sd_merge_stats" alt="" coords="685,1462,799,1489"/>
<area shape="rect" id="node26" href="write__sd__test_8f90.html#a61c6a5d0f5b8bc3e560e6ce01db5e67a" title="write_sd_test" alt="" coords="692,1753,792,1779"/>
<area shape="rect" id="node39" href="namespacesd__io.html#a2b47bb0e9595c2e5ddf9ea03eaba9d34" title="sd_io::interp_from_file" alt="" coords="440,494,591,521"/>
<area shape="rect" id="node40" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="675,188,809,229"/>
<area shape="rect" id="node41" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="672,253,812,295"/>
<area shape="rect" id="node42" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="672,421,812,463"/>
<area shape="rect" id="node43" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6" title="sd initialization routine " alt="" coords="681,772,803,813"/>
<area shape="rect" id="node44" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="881,631,1024,672"/>
<area shape="rect" id="node45" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="1072,631,1249,672"/>
<area shape="rect" id="node46" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="678,487,806,528"/>
<area shape="rect" id="node47" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="678,123,806,164"/>
<area shape="rect" id="node49" href="namespacesd__io.html#aa8711ca098f4e06074dbd935258351ec" title="sd_io::read_sd_grid" alt="" coords="448,889,583,915"/>
<area shape="rect" id="node50" href="cfd__tools__exp_8f90.html#ac688c49d79336ab0cae1905260507354" title="nover_from_scalar_scheme" alt="" coords="651,838,833,865"/>
</map>
</div>

</div>
</div>
<a id="a7a20eabd809d6290aaf536114bb371a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a20eabd809d6290aaf536114bb371a8">&#9670;&nbsp;</a></span>cleanup_sd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_object::cleanup_sd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a">adt_m::cleanup_adt()</a>, <a class="el" href="namespacesd__defs.html#a549c040c0189235fb5cd39050145e8de">sd_defs::default_name_sd</a>, <a class="el" href="namespacesd__defs.html#ad903bb4539d84f4f670bbc2cd4073ecb">sd_defs::default_string_sd</a>, <a class="el" href="namespacemonitor__func.html#aa894eed8ef113661e83ceef78986c658">monitor_func::destroy_monitor_ptr()</a>, <a class="el" href="namespaceprobe__func.html#a55139fa73a97d04abf394ef3228ac9d5">probe_func::destroy_probe_ptr()</a>, <a class="el" href="namespacesd__bc__func__m.html#a9aba6176ebb7233fe7ce0bd854ac036b">sd_bc_func_m::destroy_shared_bc_ptr()</a>, <a class="el" href="namespacesd__stats__func.html#a1114db9225ca8ad4d95c97367b1a6f44">sd_stats_func::destroy_stats_group_ptr()</a>, and <a class="el" href="namespacesd__stats__func.html#acbcb446b495a75c185d879b5bd579c1d">sd_stats_func::destroy_stats_xx_ptr()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_a7a20eabd809d6290aaf536114bb371a8_cgraph.png" border="0" usemap="#namespacesd__object_a7a20eabd809d6290aaf536114bb371a8_cgraph" alt=""/></div>
<map name="namespacesd__object_a7a20eabd809d6290aaf536114bb371a8_cgraph" id="namespacesd__object_a7a20eabd809d6290aaf536114bb371a8_cgraph">
<area shape="rect" id="node2" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="217,5,353,32"/>
<area shape="rect" id="node3" href="namespacemonitor__func.html#aa894eed8ef113661e83ceef78986c658" title="monitor_func::destroy\l_monitor_ptr" alt="" coords="625,42,773,83"/>
<area shape="rect" id="node6" href="namespaceprobe__func.html#a55139fa73a97d04abf394ef3228ac9d5" title="probe_func::destroy\l_probe_ptr" alt="" coords="216,107,353,149"/>
<area shape="rect" id="node9" href="namespacesd__bc__func__m.html#a9aba6176ebb7233fe7ce0bd854ac036b" title="sd_bc_func_m::destroy\l_shared_bc_ptr" alt="" coords="205,173,364,214"/>
<area shape="rect" id="node14" href="namespacesd__stats__func.html#a1114db9225ca8ad4d95c97367b1a6f44" title="sd_stats_func::destroy\l_stats_group_ptr" alt="" coords="207,238,362,279"/>
<area shape="rect" id="node17" href="namespacesd__stats__func.html#acbcb446b495a75c185d879b5bd579c1d" title="sd_stats_func::destroy\l_stats_xx_ptr" alt="" coords="207,303,362,345"/>
<area shape="rect" id="node4" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="839,59,989,101"/>
<area shape="rect" id="node5" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="1049,59,1197,101"/>
<area shape="rect" id="node7" href="namespaceprobe__func.html#a8d5bf4195ca4bae5e4ee0f181802a00f" title="probe_func::cleanup\l_probe" alt="" coords="423,107,561,149"/>
<area shape="rect" id="node8" href="namespacemonitor__func.html#aa6279939f5e07640175f866b249815ba" title="monitor_func::delete\l_monitor" alt="" coords="629,107,769,149"/>
<area shape="rect" id="node10" href="namespacesd__bc__func__m.html#a559f12c43553eb35014921be4687bc7b" title="sd_bc_func_m::cleanup\l_shared_bc" alt="" coords="412,173,572,214"/>
<area shape="rect" id="node11" href="namespacesd__bc__func__m.html#a7cddd49a84545175466b740cae32d7bc" title="sd_bc_func_m::destroy\l_bc_unit_ptr" alt="" coords="620,173,779,214"/>
<area shape="rect" id="node12" href="namespacesd__bc__func__m.html#ac4bfba05e526dcb1fcab2db2265edfd2" title="sd_bc_func_m::cleanup\l_bc_unit" alt="" coords="834,157,994,198"/>
<area shape="rect" id="node13" href="namespacesd__bc__func__m.html#a55794316a8cbeaa5bc70c129b94ca188" title="sd_bc_func_m::sd_bc_init" alt="" coords="827,223,1001,249"/>
<area shape="rect" id="node15" href="namespacesd__stats__func.html#a5ffe3cdf805f2b16bce58440acd9d219" title="sd_stats_func::cleanup\l_stats_group" alt="" coords="413,238,571,279"/>
<area shape="rect" id="node16" href="namespacesd__stats__func.html#a9dc81345ff76aaf046e4f05d944dd225" title="sd_stats_func::destroy\l_stats_xx_item_ptr" alt="" coords="622,238,777,279"/>
<area shape="rect" id="node18" href="namespacesd__stats__func.html#a20e94621055f110d95d0d79728c98b41" title="sd_stats_func::cleanup\l_stats_xx" alt="" coords="413,303,571,345"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_a7a20eabd809d6290aaf536114bb371a8_icgraph.png" border="0" usemap="#namespacesd__object_a7a20eabd809d6290aaf536114bb371a8_icgraph" alt=""/></div>
<map name="namespacesd__object_a7a20eabd809d6290aaf536114bb371a8_icgraph" id="namespacesd__object_a7a20eabd809d6290aaf536114bb371a8_icgraph">
<area shape="rect" id="node2" href="namespacesd__object.html#acaba6d9c7129bb3150cb36d38089aaf9" title="sd_object::destroy\l_sd_ptr" alt="" coords="223,62,352,103"/>
<area shape="rect" id="node5" href="namespacesd__object.html#a08d45988cca08a8dc9488113bf61ed59" title="sd_object::unregister_sd" alt="" coords="205,208,369,235"/>
<area shape="rect" id="node30" href="namespacevdf__object.html#a0349fcddcc3fe2a0ee41478f7e7fb0f5" title="vdf_object::cleanup_vdf" alt="" coords="417,153,577,180"/>
<area shape="rect" id="node3" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="421,11,574,53"/>
<area shape="rect" id="node4" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="657,5,744,32"/>
<area shape="rect" id="node6" href="namespacecfd__object.html#ae20a9c574341cbc67ba48a2b33113d8f" title="cfd_object::cleanup_cfd" alt="" coords="835,107,995,133"/>
<area shape="rect" id="node9" href="namespacesd__io__v005.html#a12573999d12f8689fcfb4a4f6f23ea99" title="sd_io_v005::read_sd\l_grid_v005" alt="" coords="426,275,569,317"/>
<area shape="rect" id="node7" href="namespacecfd__object.html#ad0fdefc0626f823829d6cc8bb08fa236" title="cfd_object::destroy\l_cfd_ptr" alt="" coords="1059,99,1193,141"/>
<area shape="rect" id="node8" href="namespacecfd__object.html#ae90d556a312de8653185cc23e8d8da5d" title="cfd_object::destroy\l_cfd_ptr" alt="" coords="1267,99,1401,141"/>
<area shape="rect" id="node10" href="namespacesd__io.html#aa8711ca098f4e06074dbd935258351ec" title="sd_io::read_sd_grid" alt="" coords="633,512,768,539"/>
<area shape="rect" id="node29" href="namespacevdf__tools.html#aadf7c3eb5df72d827142fe4f951fc332" title="vdf_tools::sd_init\l_single_vdf" alt="" coords="855,213,976,254"/>
<area shape="rect" id="node11" href="accuop-v01_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="867,329,964,356"/>
<area shape="rect" id="node12" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="848,381,983,422"/>
<area shape="rect" id="node14" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6" title="sd initialization routine " alt="" coords="855,446,976,487"/>
<area shape="rect" id="node21" href="cfd__tools__exp_8f90.html#ac688c49d79336ab0cae1905260507354" title="nover_from_scalar_scheme" alt="" coords="824,512,1007,539"/>
<area shape="rect" id="node22" href="check__md__load_8f90.html#ac0903998f5357ec93790662697684088" title="check_md_load" alt="" coords="859,563,972,589"/>
<area shape="rect" id="node23" href="compareDataFiles_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="856,613,975,640"/>
<area shape="rect" id="node24" href="tools_2sd2plot_2sd2plot_8f90.html#a57e5344d18306324ff6e812e78beb9e3" title="sd2plot" alt="" coords="883,664,947,691"/>
<area shape="rect" id="node25" href="namespacesd__io.html#a10c65fb71f15b52e01b2b42b3bbbbe62" title="sd_io::sd_init_single_sd" alt="" coords="835,715,996,741"/>
<area shape="rect" id="node26" href="spectrum_8f90.html#a0d6d5cc29e192d38e0e26c84cc0d1fd1" title="spectrum" alt="" coords="877,765,953,792"/>
<area shape="rect" id="node27" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="883,816,948,843"/>
<area shape="rect" id="node28" href="tsf_8f90.html#a714f2ed0b514f8e0578a44cc3307a89c" title="tsf" alt="" coords="896,279,935,305"/>
<area shape="rect" id="node13" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1091,388,1161,415"/>
<area shape="rect" id="node15" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="1055,443,1197,485"/>
<area shape="rect" id="node20" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="1245,506,1423,547"/>
<area shape="rect" id="node16" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="1261,375,1407,417"/>
<area shape="rect" id="node18" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="1263,441,1405,482"/>
<area shape="rect" id="node17" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1471,383,1567,409"/>
<area shape="rect" id="node19" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1473,448,1565,475"/>
<area shape="rect" id="node31" href="namespacevdf__object.html#afa01933d144bc71cdf8aa806a4204113" title="vdf_object::destroy\l_vdf_ptr" alt="" coords="634,158,767,199"/>
<area shape="rect" id="node32" href="namespacevdf__object.html#af923aa3bae41b7ed18e048140f5f83e8" title="vdf_object::delete_vdf" alt="" coords="625,56,776,83"/>
</map>
</div>

</div>
</div>
<a id="a59addafc43b1e680333195b41dc99a60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59addafc43b1e680333195b41dc99a60">&#9670;&nbsp;</a></span>cleanup_sd_data_only()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_object::cleanup_sd_data_only </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_a59addafc43b1e680333195b41dc99a60_icgraph.png" border="0" usemap="#namespacesd__object_a59addafc43b1e680333195b41dc99a60_icgraph" alt=""/></div>
<map name="namespacesd__object_a59addafc43b1e680333195b41dc99a60_icgraph" id="namespacesd__object_a59addafc43b1e680333195b41dc99a60_icgraph">
<area shape="rect" id="node2" href="namespacesd__func.html#aff0cc0c93afd5d2e983b02dc85ab6d7b" title="sd_func::synchronize\l_sd_ptr" alt="" coords="184,536,331,577"/>
<area shape="rect" id="node3" href="namespacesd__io.html#a18d0a9515eb353eb2e501cb24bb26e4b" title="sd_io::read_sd_data\l_file_list" alt="" coords="381,536,519,577"/>
<area shape="rect" id="node29" href="namespacesd__io.html#a23701612634922554d30324394b6821f" title="sd_io::write_sd" alt="" coords="595,874,706,901"/>
<area shape="rect" id="node50" href="namespacesd__io__v005.html#ae6f2a4b338fd6fa27e078da38465ced8" title="sd_io_v005::read_sd\l_data_v005" alt="" coords="379,453,521,495"/>
<area shape="rect" id="node4" href="namespacesd__io.html#a7fef28bcbeeb29fff88ab5cd89465393" title="sd_io::read_sd_data" alt="" coords="793,443,931,470"/>
<area shape="rect" id="node26" href="namespacesd__io.html#a3d8e5d52c3907ed1b84599458129e4e5" title="sd_io::read_sd_data_file" alt="" coords="569,553,732,579"/>
<area shape="rect" id="node5" href="accuop-v01_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="1027,654,1124,681"/>
<area shape="rect" id="node6" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="1009,123,1142,164"/>
<area shape="rect" id="node9" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="1005,188,1145,229"/>
<area shape="rect" id="node11" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1005,253,1145,295"/>
<area shape="rect" id="node13" href="compareDataFiles_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="1016,603,1135,630"/>
<area shape="rect" id="node14" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="1004,319,1147,360"/>
<area shape="rect" id="node17" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="1207,411,1384,452"/>
<area shape="rect" id="node18" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="1011,436,1139,477"/>
<area shape="rect" id="node21" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="1011,5,1139,47"/>
<area shape="rect" id="node22" href="tools_2sd2plot_2sd2plot_8f90.html#a57e5344d18306324ff6e812e78beb9e3" title="sd2plot" alt="" coords="1043,705,1107,731"/>
<area shape="rect" id="node23" href="spectrum_8f90.html#a0d6d5cc29e192d38e0e26c84cc0d1fd1" title="spectrum" alt="" coords="1037,502,1113,529"/>
<area shape="rect" id="node24" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="1043,71,1108,98"/>
<area shape="rect" id="node25" href="tsf_8f90.html#a714f2ed0b514f8e0578a44cc3307a89c" title="tsf" alt="" coords="1056,553,1095,579"/>
<area shape="rect" id="node7" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1231,97,1359,139"/>
<area shape="rect" id="node8" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1228,32,1363,73"/>
<area shape="rect" id="node10" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1228,163,1363,204"/>
<area shape="rect" id="node12" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1213,229,1377,255"/>
<area shape="rect" id="node15" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="1222,345,1369,387"/>
<area shape="rect" id="node16" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="1224,280,1367,321"/>
<area shape="rect" id="node19" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="1231,542,1359,569"/>
<area shape="rect" id="node20" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="1235,476,1356,517"/>
<area shape="rect" id="node27" href="read__sd__test_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="813,603,911,630"/>
<area shape="rect" id="node28" href="namespacesd__io.html#a07e2dc530709ebf03be665233080c4a6" title="sd_io::read_sd_file_all" alt="" coords="787,553,937,579"/>
<area shape="rect" id="node30" href="make__sd_2make__sd_8f90.html#a2d7374b709fd9606123d058907338753" title="make_sd" alt="" coords="825,1057,899,1083"/>
<area shape="rect" id="node31" href="namespaceparam__ciao.html#a44466c4427a87b55392d37b33a411738" title="param_ciao::param_ciao\l_write" alt="" coords="780,1108,944,1149"/>
<area shape="rect" id="node33" href="renameSD_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="803,1174,921,1201"/>
<area shape="rect" id="node34" href="namespacesd__regrid__m.html#aeddef0f7b422be82ffa526defc2a4a63" title="sd_regrid_m::project\l_sd_with_regrid" alt="" coords="792,783,932,824"/>
<area shape="rect" id="node35" href="namespacesd__io.html#a363f982c54a2de64aa39cb9310935575" title="sd_io::write_sd_grid" alt="" coords="793,731,931,758"/>
<area shape="rect" id="node36" href="namespacesd__io.html#a371e0a6b01aced3bd21cdbbb30bfbc79" title="sd_io::nga_data_write" alt="" coords="787,1006,937,1033"/>
<area shape="rect" id="node48" href="test__sd_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="829,849,895,875"/>
<area shape="rect" id="node49" href="write__sd__test_8f90.html#a61c6a5d0f5b8bc3e560e6ce01db5e67a" title="write_sd_test" alt="" coords="812,950,912,977"/>
<area shape="rect" id="node32" href="init__flow_8f90.html#a4520946850f5f87e24f6b14c7000d651" title="init_flow" alt="" coords="1040,1373,1111,1399"/>
<area shape="rect" id="node37" href="namespacearts__cf__simulation.html#abdb8027338aa355baf9c6d9f73c97032" title="Post&#45;step. " alt="" coords="1011,807,1139,848"/>
<area shape="rect" id="node38" href="namespacearts__md__simulation.html#a97a21252e6b5e4038bafa69b3ff35a98" title="arts_md_simulation\l::arts_md_poststep" alt="" coords="1008,872,1143,913"/>
<area shape="rect" id="node39" href="namespacearts__simulation.html#a620c49349fe0e4c7cf28b109aaa0bdbc" title="arts_simulation::arts\l_poststep" alt="" coords="1005,937,1145,979"/>
<area shape="rect" id="node40" href="namespacenga__cf__cold__func.html#ade35a0ce7fb88c88a71e2f0e786e872d" title="nga_cf_cold_func::cf\l_cold_poststep" alt="" coords="1004,1003,1147,1044"/>
<area shape="rect" id="node41" href="nga__cf__cold__func__exp_8f90.html#a20ec1031c642ee27b3a8c8bed1ff948b" title="recompute_metric" alt="" coords="1012,1069,1139,1095"/>
<area shape="rect" id="node42" href="namespacenga__if__func.html#a4a0054b731a1aa1a321d67cb9372038e" title="nga_if_func::if_poststep" alt="" coords="995,1119,1156,1146"/>
<area shape="rect" id="node43" href="namespacenga__x__func.html#ac1779c8050ee137f2c334d946280824c" title="nga_x_func::x_poststep" alt="" coords="995,1170,1156,1197"/>
<area shape="rect" id="node44" href="namespacesd__io.html#a5668f84b92303e27e3bcc79e28c1b41b" title="sd_io::sd_finalize" alt="" coords="1014,1221,1137,1247"/>
<area shape="rect" id="node45" href="namespacesd__io.html#ad70d0b24ce7b57b6f0ca3e6f893859bd" title="sd_io::md_finalize" alt="" coords="1012,1271,1139,1298"/>
<area shape="rect" id="node46" href="namespacesd__io.html#a0ceb74de19f091003e8bc10dc1774286" title="sd_io::check_control_file" alt="" coords="992,755,1159,782"/>
<area shape="rect" id="node47" href="test__object_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="1247,1038,1344,1065"/>
</map>
</div>

</div>
</div>
<a id="a6b9e025abfcd564dcb2202fac351edbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b9e025abfcd564dcb2202fac351edbb">&#9670;&nbsp;</a></span>copy_sd_property()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_object::copy_sd_property </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in)&#160;</td>
          <td class="paramname"><em>a</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(out)&#160;</td>
          <td class="paramname"><em>b</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_a6b9e025abfcd564dcb2202fac351edbb_icgraph.png" border="0" usemap="#namespacesd__object_a6b9e025abfcd564dcb2202fac351edbb_icgraph" alt=""/></div>
<map name="namespacesd__object_a6b9e025abfcd564dcb2202fac351edbb_icgraph" id="namespacesd__object_a6b9e025abfcd564dcb2202fac351edbb_icgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#a3cb7fa816509cd5a437b5374efdcb0ad" title="cfd_object::add_cfd\l_from_sd" alt="" coords="188,5,324,47"/>
<area shape="rect" id="node3" href="namespacevdf__object.html#a8cd614cdd26a7b90603e933cf991c1fe" title="vdf_object::add_vdf\l_from_sd" alt="" coords="188,71,324,112"/>
</map>
</div>

</div>
</div>
<a id="acaba6d9c7129bb3150cb36d38089aaf9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaba6d9c7129bb3150cb36d38089aaf9">&#9670;&nbsp;</a></span>destroy_sd_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_object::destroy_sd_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>var_ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesd__object.html#a7a20eabd809d6290aaf536114bb371a8">cleanup_sd()</a>.</p>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_acaba6d9c7129bb3150cb36d38089aaf9_cgraph.png" border="0" usemap="#namespacesd__object_acaba6d9c7129bb3150cb36d38089aaf9_cgraph" alt=""/></div>
<map name="namespacesd__object_acaba6d9c7129bb3150cb36d38089aaf9_cgraph" id="namespacesd__object_acaba6d9c7129bb3150cb36d38089aaf9_cgraph">
<area shape="rect" id="node2" href="namespacesd__object.html#a7a20eabd809d6290aaf536114bb371a8" title="sd_object::cleanup_sd" alt="" coords="183,148,335,175"/>
<area shape="rect" id="node3" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="394,5,530,32"/>
<area shape="rect" id="node4" href="namespacemonitor__func.html#aa894eed8ef113661e83ceef78986c658" title="monitor_func::destroy\l_monitor_ptr" alt="" coords="803,42,951,83"/>
<area shape="rect" id="node7" href="namespaceprobe__func.html#a55139fa73a97d04abf394ef3228ac9d5" title="probe_func::destroy\l_probe_ptr" alt="" coords="393,107,531,149"/>
<area shape="rect" id="node10" href="namespacesd__bc__func__m.html#a9aba6176ebb7233fe7ce0bd854ac036b" title="sd_bc_func_m::destroy\l_shared_bc_ptr" alt="" coords="383,173,541,214"/>
<area shape="rect" id="node15" href="namespacesd__stats__func.html#a1114db9225ca8ad4d95c97367b1a6f44" title="sd_stats_func::destroy\l_stats_group_ptr" alt="" coords="385,238,539,279"/>
<area shape="rect" id="node18" href="namespacesd__stats__func.html#acbcb446b495a75c185d879b5bd579c1d" title="sd_stats_func::destroy\l_stats_xx_ptr" alt="" coords="385,303,539,345"/>
<area shape="rect" id="node5" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="1016,59,1167,101"/>
<area shape="rect" id="node6" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="1227,59,1375,101"/>
<area shape="rect" id="node8" href="namespaceprobe__func.html#a8d5bf4195ca4bae5e4ee0f181802a00f" title="probe_func::cleanup\l_probe" alt="" coords="600,107,739,149"/>
<area shape="rect" id="node9" href="namespacemonitor__func.html#aa6279939f5e07640175f866b249815ba" title="monitor_func::delete\l_monitor" alt="" coords="807,107,947,149"/>
<area shape="rect" id="node11" href="namespacesd__bc__func__m.html#a559f12c43553eb35014921be4687bc7b" title="sd_bc_func_m::cleanup\l_shared_bc" alt="" coords="589,173,749,214"/>
<area shape="rect" id="node12" href="namespacesd__bc__func__m.html#a7cddd49a84545175466b740cae32d7bc" title="sd_bc_func_m::destroy\l_bc_unit_ptr" alt="" coords="797,173,956,214"/>
<area shape="rect" id="node13" href="namespacesd__bc__func__m.html#ac4bfba05e526dcb1fcab2db2265edfd2" title="sd_bc_func_m::cleanup\l_bc_unit" alt="" coords="1011,157,1171,198"/>
<area shape="rect" id="node14" href="namespacesd__bc__func__m.html#a55794316a8cbeaa5bc70c129b94ca188" title="sd_bc_func_m::sd_bc_init" alt="" coords="1004,223,1179,249"/>
<area shape="rect" id="node16" href="namespacesd__stats__func.html#a5ffe3cdf805f2b16bce58440acd9d219" title="sd_stats_func::cleanup\l_stats_group" alt="" coords="591,238,748,279"/>
<area shape="rect" id="node17" href="namespacesd__stats__func.html#a9dc81345ff76aaf046e4f05d944dd225" title="sd_stats_func::destroy\l_stats_xx_item_ptr" alt="" coords="799,238,954,279"/>
<area shape="rect" id="node19" href="namespacesd__stats__func.html#a20e94621055f110d95d0d79728c98b41" title="sd_stats_func::cleanup\l_stats_xx" alt="" coords="591,303,748,345"/>
</map>
</div>
<div id="dynsection-7" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-7-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-7-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-7-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_acaba6d9c7129bb3150cb36d38089aaf9_icgraph.png" border="0" usemap="#namespacesd__object_acaba6d9c7129bb3150cb36d38089aaf9_icgraph" alt=""/></div>
<map name="namespacesd__object_acaba6d9c7129bb3150cb36d38089aaf9_icgraph" id="namespacesd__object_acaba6d9c7129bb3150cb36d38089aaf9_icgraph">
<area shape="rect" id="node2" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="183,5,336,47"/>
<area shape="rect" id="node3" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="384,13,471,39"/>
</map>
</div>

</div>
</div>
<a id="a9be5b59ec56e10760e390ebf5b8ddab5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9be5b59ec56e10760e390ebf5b8ddab5">&#9670;&nbsp;</a></span>register_sd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_object::register_sd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=*), intent(in)&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(out), optional&#160;</td>
          <td class="paramname"><em>ierr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesd__defs.html#a349c2627f8063198a81728e7f8f01b52">sd_defs::allocate_sd()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, and <a class="el" href="namespacesd__defs.html#a9dcd20920ac1cc0872edeabd64069485">sd_defs::unique_sd</a>.</p>
<div id="dynsection-8" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-8-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-8-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-8-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_a9be5b59ec56e10760e390ebf5b8ddab5_cgraph.png" border="0" usemap="#namespacesd__object_a9be5b59ec56e10760e390ebf5b8ddab5_cgraph" alt=""/></div>
<map name="namespacesd__object_a9be5b59ec56e10760e390ebf5b8ddab5_cgraph" id="namespacesd__object_a9be5b59ec56e10760e390ebf5b8ddab5_cgraph">
<area shape="rect" id="node2" href="namespacesd__defs.html#a349c2627f8063198a81728e7f8f01b52" title="sd_defs::allocate_sd" alt="" coords="204,8,347,35"/>
<area shape="rect" id="node4" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="227,60,323,87"/>
<area shape="rect" id="node3" href="namespacesd__defs.html#a22976ca60206af153915a0ffe59288b9" title="sd_defs::set_default_sd" alt="" coords="395,5,556,32"/>
<area shape="rect" id="node5" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="410,57,541,98"/>
</map>
</div>
<div id="dynsection-9" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-9-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-9-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-9-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_a9be5b59ec56e10760e390ebf5b8ddab5_icgraph.png" border="0" usemap="#namespacesd__object_a9be5b59ec56e10760e390ebf5b8ddab5_icgraph" alt=""/></div>
<map name="namespacesd__object_a9be5b59ec56e10760e390ebf5b8ddab5_icgraph" id="namespacesd__object_a9be5b59ec56e10760e390ebf5b8ddab5_icgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#a3cb7fa816509cd5a437b5374efdcb0ad" title="cfd_object::add_cfd\l_from_sd" alt="" coords="207,441,343,483"/>
<area shape="rect" id="node3" href="namespacesd__io__tools.html#a5bbd3469f0f421e3777d0ea9ef3dae3c" title="sd_io_tools::process\l_prev_config" alt="" coords="399,500,542,541"/>
<area shape="rect" id="node41" href="namespacesd__io__v003.html#ad8fdbfb44d10c0766ce209e1c25b9dc2" title="sd_io_v003::read_sd\l_grid_v003" alt="" coords="204,559,347,600"/>
<area shape="rect" id="node43" href="namespacesd__io__v005.html#a12573999d12f8689fcfb4a4f6f23ea99" title="sd_io_v005::read_sd\l_grid_v005" alt="" coords="595,708,737,749"/>
<area shape="rect" id="node44" href="namespacesd__io__v005__basics.html#ae4d88694e2ecf37b267e64fa0891fd8d" title="sd_io_v005_basics::\lread_grid_basics" alt="" coords="205,741,346,783"/>
<area shape="rect" id="node46" href="namespacesd__io__v005__basics.html#a804f0e1bcb1cbda970afacad383426e4" title="sd_io_v005_basics::\lread_boundary_basics" alt="" coords="395,857,547,899"/>
<area shape="rect" id="node49" href="namespacesd__io__v006.html#a058c8f6c38d6b1c89e8165b4524ca6e0" title="sd_io_v006::read_sd\l_grid_v006" alt="" coords="204,624,347,665"/>
<area shape="rect" id="node50" href="namespacevdf__object.html#a8cd614cdd26a7b90603e933cf991c1fe" title="vdf_object::add_vdf\l_from_sd" alt="" coords="207,859,343,900"/>
<area shape="rect" id="node4" href="namespacesd__io.html#a26010a271195340bfc55798bac6b5d0c" title="sd_io::read_sd_grid\l_file_list" alt="" coords="599,529,733,571"/>
<area shape="rect" id="node5" href="namespacesd__io.html#aa8711ca098f4e06074dbd935258351ec" title="sd_io::read_sd_grid" alt="" coords="801,898,936,925"/>
<area shape="rect" id="node23" href="namespacesd__io.html#a6358e8c922477ffb3789f4905bc78a19" title="sd_io::read_sd_grid_file" alt="" coords="789,537,948,563"/>
<area shape="rect" id="node30" href="namespacesd__io.html#a2b47bb0e9595c2e5ddf9ea03eaba9d34" title="sd_io::interp_from_file" alt="" coords="793,326,944,353"/>
<area shape="rect" id="node6" href="accuop-v01_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="1043,1329,1140,1355"/>
<area shape="rect" id="node7" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="1245,319,1380,360"/>
<area shape="rect" id="node9" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6" title="sd initialization routine " alt="" coords="1031,807,1152,848"/>
<area shape="rect" id="node14" href="cfd__tools__exp_8f90.html#ac688c49d79336ab0cae1905260507354" title="nover_from_scalar_scheme" alt="" coords="1000,1177,1183,1203"/>
<area shape="rect" id="node15" href="check__md__load_8f90.html#ac0903998f5357ec93790662697684088" title="check_md_load" alt="" coords="1035,705,1148,731"/>
<area shape="rect" id="node16" href="compareDataFiles_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="1253,1126,1372,1153"/>
<area shape="rect" id="node17" href="tools_2sd2plot_2sd2plot_8f90.html#a57e5344d18306324ff6e812e78beb9e3" title="sd2plot" alt="" coords="1499,1025,1563,1051"/>
<area shape="rect" id="node18" href="namespacesd__io.html#a10c65fb71f15b52e01b2b42b3bbbbe62" title="sd_io::sd_init_single_sd" alt="" coords="1011,1278,1172,1305"/>
<area shape="rect" id="node19" href="spectrum_8f90.html#a0d6d5cc29e192d38e0e26c84cc0d1fd1" title="spectrum" alt="" coords="1275,923,1351,950"/>
<area shape="rect" id="node20" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="1059,1227,1124,1254"/>
<area shape="rect" id="node21" href="tsf_8f90.html#a714f2ed0b514f8e0578a44cc3307a89c" title="tsf" alt="" coords="1293,1177,1332,1203"/>
<area shape="rect" id="node22" href="namespacevdf__tools.html#aadf7c3eb5df72d827142fe4f951fc332" title="vdf_tools::sd_init\l_single_vdf" alt="" coords="1031,588,1152,629"/>
<area shape="rect" id="node8" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1497,326,1566,353"/>
<area shape="rect" id="node10" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="1241,725,1384,767"/>
<area shape="rect" id="node13" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="1443,660,1620,701"/>
<area shape="rect" id="node11" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="1458,725,1605,767"/>
<area shape="rect" id="node12" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="1460,791,1603,832"/>
<area shape="rect" id="node24" href="make__sd_2make__sd_8f90.html#aa7eef4a5ae1e95854a47d085487603b0" title="nga_mesh" alt="" coords="1050,537,1133,563"/>
<area shape="rect" id="node26" href="read__sd__test_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="1043,486,1140,513"/>
<area shape="rect" id="node27" href="namespacesd__io.html#a07e2dc530709ebf03be665233080c4a6" title="sd_io::read_sd_file_all" alt="" coords="1016,1025,1167,1051"/>
<area shape="rect" id="node25" href="make__sd_2make__sd_8f90.html#a2d7374b709fd9606123d058907338753" title="make_sd" alt="" coords="1275,537,1350,563"/>
<area shape="rect" id="node28" href="compare__sd_8f90.html#a7b6c7bafa53e8be2027b609dba43899b" title="compare_sd" alt="" coords="1266,1025,1359,1051"/>
<area shape="rect" id="node29" href="tools_2sd2plot_2sd2plot_8f90.html#a99f1e7580101bb9c1eb8c656fc07cd8d" title="sd_merge_stats" alt="" coords="1255,974,1370,1001"/>
<area shape="rect" id="node31" href="namespacearts__cf__simulation.html#af39829beac049c1764a4fc8b688ff8b0" title="Initialization routine 1. " alt="" coords="1025,136,1158,177"/>
<area shape="rect" id="node34" href="namespacearts__md__simulation.html#a3d6fef8fb1ad778ddb9a69e21c65c25e" title="arts_md_simulation\l::arts_md_init_step1" alt="" coords="1021,319,1161,360"/>
<area shape="rect" id="node35" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="1021,201,1161,243"/>
<area shape="rect" id="node37" href="namespacenga__if__func.html#acfc411708492ec063ff80d6af8d11b86" title="nga_if_func::if_init\l_step1" alt="" coords="1027,71,1155,112"/>
<area shape="rect" id="node40" href="namespacenga__x__func.html#a59635fdbb8689c805785adef9ab59889" title="nga_x_func::x_init\l_step1" alt="" coords="1027,5,1155,47"/>
<area shape="rect" id="node32" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="1249,201,1377,243"/>
<area shape="rect" id="node33" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="1245,136,1380,177"/>
<area shape="rect" id="node36" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1231,267,1395,294"/>
<area shape="rect" id="node38" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="1249,19,1377,46"/>
<area shape="rect" id="node39" href="namespacenga__if__ib__func.html#a6a6b74659652a9dfd96316db7cee2531" title="nga_if_ib_func::if\l_ib_init" alt="" coords="1252,71,1373,112"/>
<area shape="rect" id="node42" href="sd__io_8f90.html#a7f03ccb9baaa1cd4bc4e063b756281b4" title="read_grid" alt="" coords="433,566,508,593"/>
<area shape="rect" id="node45" href="namespacesd__io__v005.html#ab93dc7d94fee85ec3db5b2b116904f73" title="sd_io_v005::read_sd\l_grid_file_v005" alt="" coords="399,792,542,833"/>
<area shape="rect" id="node47" href="namespacesd__io__v005.html#ac00922da97679dd80a2d7d4adc798215" title="sd_io_v005::read_sd\l_boundary_v005" alt="" coords="595,857,737,899"/>
<area shape="rect" id="node48" href="namespacesd__io.html#a1a88396eab3959432d4f51c38186aa45" title="sd_io::read_sd_boundary" alt="" coords="785,1177,952,1203"/>
</map>
</div>

</div>
</div>
<a id="a5bcddc0c15a59acdf56532ca8358fac4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bcddc0c15a59acdf56532ca8358fac4">&#9670;&nbsp;</a></span>register_shared_sd_ptr()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_object::register_shared_sd_ptr </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceshared__sd__ptr__m.html#ad1516a071479503359e100360855baa3">shared_sd_ptr_m::shared_first_sd_ptr</a>.</p>
<div id="dynsection-10" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-10-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-10-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-10-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_a5bcddc0c15a59acdf56532ca8358fac4_icgraph.png" border="0" usemap="#namespacesd__object_a5bcddc0c15a59acdf56532ca8358fac4_icgraph" alt=""/></div>
<map name="namespacesd__object_a5bcddc0c15a59acdf56532ca8358fac4_icgraph" id="namespacesd__object_a5bcddc0c15a59acdf56532ca8358fac4_icgraph">
<area shape="rect" id="node2" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="183,5,336,47"/>
<area shape="rect" id="node3" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="384,13,471,39"/>
</map>
</div>

</div>
</div>
<a id="a08d45988cca08a8dc9488113bf61ed59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08d45988cca08a8dc9488113bf61ed59">&#9670;&nbsp;</a></span>unregister_sd()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine, public sd_object::unregister_sd </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>first_sd_ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">logical, intent(in), optional&#160;</td>
          <td class="paramname"><em>SILENT</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesd__object.html#a7a20eabd809d6290aaf536114bb371a8">cleanup_sd()</a>.</p>
<div id="dynsection-11" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-11-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-11-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-11-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_a08d45988cca08a8dc9488113bf61ed59_cgraph.png" border="0" usemap="#namespacesd__object_a08d45988cca08a8dc9488113bf61ed59_cgraph" alt=""/></div>
<map name="namespacesd__object_a08d45988cca08a8dc9488113bf61ed59_cgraph" id="namespacesd__object_a08d45988cca08a8dc9488113bf61ed59_cgraph">
<area shape="rect" id="node2" href="namespacesd__object.html#a7a20eabd809d6290aaf536114bb371a8" title="sd_object::cleanup_sd" alt="" coords="217,148,369,175"/>
<area shape="rect" id="node3" href="namespaceadt__m.html#a23ca5dd34e7e9758dda571e9b3da642a" title="adt_m::cleanup_adt" alt="" coords="429,5,565,32"/>
<area shape="rect" id="node4" href="namespacemonitor__func.html#aa894eed8ef113661e83ceef78986c658" title="monitor_func::destroy\l_monitor_ptr" alt="" coords="837,42,985,83"/>
<area shape="rect" id="node7" href="namespaceprobe__func.html#a55139fa73a97d04abf394ef3228ac9d5" title="probe_func::destroy\l_probe_ptr" alt="" coords="428,107,565,149"/>
<area shape="rect" id="node10" href="namespacesd__bc__func__m.html#a9aba6176ebb7233fe7ce0bd854ac036b" title="sd_bc_func_m::destroy\l_shared_bc_ptr" alt="" coords="417,173,576,214"/>
<area shape="rect" id="node15" href="namespacesd__stats__func.html#a1114db9225ca8ad4d95c97367b1a6f44" title="sd_stats_func::destroy\l_stats_group_ptr" alt="" coords="419,238,574,279"/>
<area shape="rect" id="node18" href="namespacesd__stats__func.html#acbcb446b495a75c185d879b5bd579c1d" title="sd_stats_func::destroy\l_stats_xx_ptr" alt="" coords="419,303,574,345"/>
<area shape="rect" id="node5" href="namespacemonitor__func.html#ad9375226969a462ac0bec33b5d43dc90" title="monitor_func::cleanup\l_monitor" alt="" coords="1051,59,1201,101"/>
<area shape="rect" id="node6" href="namespacemonitor__func.html#a9e3d214c845e1d3feafab9d36830bb84" title="monitor_func::destroy\l_mon_var_ptr" alt="" coords="1261,59,1409,101"/>
<area shape="rect" id="node8" href="namespaceprobe__func.html#a8d5bf4195ca4bae5e4ee0f181802a00f" title="probe_func::cleanup\l_probe" alt="" coords="635,107,773,149"/>
<area shape="rect" id="node9" href="namespacemonitor__func.html#aa6279939f5e07640175f866b249815ba" title="monitor_func::delete\l_monitor" alt="" coords="841,107,981,149"/>
<area shape="rect" id="node11" href="namespacesd__bc__func__m.html#a559f12c43553eb35014921be4687bc7b" title="sd_bc_func_m::cleanup\l_shared_bc" alt="" coords="624,173,784,214"/>
<area shape="rect" id="node12" href="namespacesd__bc__func__m.html#a7cddd49a84545175466b740cae32d7bc" title="sd_bc_func_m::destroy\l_bc_unit_ptr" alt="" coords="832,173,991,214"/>
<area shape="rect" id="node13" href="namespacesd__bc__func__m.html#ac4bfba05e526dcb1fcab2db2265edfd2" title="sd_bc_func_m::cleanup\l_bc_unit" alt="" coords="1046,157,1206,198"/>
<area shape="rect" id="node14" href="namespacesd__bc__func__m.html#a55794316a8cbeaa5bc70c129b94ca188" title="sd_bc_func_m::sd_bc_init" alt="" coords="1039,223,1213,249"/>
<area shape="rect" id="node16" href="namespacesd__stats__func.html#a5ffe3cdf805f2b16bce58440acd9d219" title="sd_stats_func::cleanup\l_stats_group" alt="" coords="625,238,783,279"/>
<area shape="rect" id="node17" href="namespacesd__stats__func.html#a9dc81345ff76aaf046e4f05d944dd225" title="sd_stats_func::destroy\l_stats_xx_item_ptr" alt="" coords="834,238,989,279"/>
<area shape="rect" id="node19" href="namespacesd__stats__func.html#a20e94621055f110d95d0d79728c98b41" title="sd_stats_func::cleanup\l_stats_xx" alt="" coords="625,303,783,345"/>
</map>
</div>
<div id="dynsection-12" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-12-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-12-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-12-content" class="dyncontent" style="display:none;">
<div class="center"><img src="namespacesd__object_a08d45988cca08a8dc9488113bf61ed59_icgraph.png" border="0" usemap="#namespacesd__object_a08d45988cca08a8dc9488113bf61ed59_icgraph" alt=""/></div>
<map name="namespacesd__object_a08d45988cca08a8dc9488113bf61ed59_icgraph" id="namespacesd__object_a08d45988cca08a8dc9488113bf61ed59_icgraph">
<area shape="rect" id="node2" href="namespacecfd__object.html#ae20a9c574341cbc67ba48a2b33113d8f" title="cfd_object::cleanup_cfd" alt="" coords="635,681,795,708"/>
<area shape="rect" id="node5" href="namespacesd__io__v005.html#a12573999d12f8689fcfb4a4f6f23ea99" title="sd_io_v005::read_sd\l_grid_v005" alt="" coords="226,573,369,614"/>
<area shape="rect" id="node26" href="namespacevdf__object.html#a0349fcddcc3fe2a0ee41478f7e7fb0f5" title="vdf_object::cleanup_vdf" alt="" coords="217,681,377,708"/>
<area shape="rect" id="node3" href="namespacecfd__object.html#ad0fdefc0626f823829d6cc8bb08fa236" title="cfd_object::destroy\l_cfd_ptr" alt="" coords="859,674,993,715"/>
<area shape="rect" id="node4" href="namespacecfd__object.html#ae90d556a312de8653185cc23e8d8da5d" title="cfd_object::destroy\l_cfd_ptr" alt="" coords="1067,674,1201,715"/>
<area shape="rect" id="node6" href="namespacesd__io.html#aa8711ca098f4e06074dbd935258351ec" title="sd_io::read_sd_grid" alt="" coords="433,340,568,367"/>
<area shape="rect" id="node25" href="namespacevdf__tools.html#aadf7c3eb5df72d827142fe4f951fc332" title="vdf_tools::sd_init\l_single_vdf" alt="" coords="655,594,776,635"/>
<area shape="rect" id="node7" href="accuop-v01_8f90.html#ab8e63ac6594ce1188791fdf6497cd828" title="read_sd_test" alt="" coords="667,107,764,133"/>
<area shape="rect" id="node8" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="648,158,783,199"/>
<area shape="rect" id="node10" href="namespacecfd__tools.html#a0556bc00b636fe03ca978e726709a9c6" title="sd initialization routine " alt="" coords="655,223,776,265"/>
<area shape="rect" id="node17" href="cfd__tools__exp_8f90.html#ac688c49d79336ab0cae1905260507354" title="nover_from_scalar_scheme" alt="" coords="624,289,807,316"/>
<area shape="rect" id="node18" href="check__md__load_8f90.html#ac0903998f5357ec93790662697684088" title="check_md_load" alt="" coords="659,340,772,367"/>
<area shape="rect" id="node19" href="compareDataFiles_8f90.html#a59b222e6afb675704a9e097f152f615c" title="dataanalysisciao" alt="" coords="656,391,775,417"/>
<area shape="rect" id="node20" href="tools_2sd2plot_2sd2plot_8f90.html#a57e5344d18306324ff6e812e78beb9e3" title="sd2plot" alt="" coords="683,441,747,468"/>
<area shape="rect" id="node21" href="namespacesd__io.html#a10c65fb71f15b52e01b2b42b3bbbbe62" title="sd_io::sd_init_single_sd" alt="" coords="635,492,796,519"/>
<area shape="rect" id="node22" href="spectrum_8f90.html#a0d6d5cc29e192d38e0e26c84cc0d1fd1" title="spectrum" alt="" coords="677,543,753,569"/>
<area shape="rect" id="node23" href="test__bmatrix_8f90.html#ab8f7c591d9846c97055be062b021e5c6" title="test_sd" alt="" coords="683,5,748,32"/>
<area shape="rect" id="node24" href="tsf_8f90.html#a714f2ed0b514f8e0578a44cc3307a89c" title="tsf" alt="" coords="696,56,735,83"/>
<area shape="rect" id="node9" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="891,165,961,192"/>
<area shape="rect" id="node11" href="namespacenga__cf__cold__func.html#a954f8dc1c6cf2254c9e29584492937dc" title="nga_cf_cold_func::cf\l_cold_init_step1" alt="" coords="855,221,997,262"/>
<area shape="rect" id="node16" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="1045,283,1223,325"/>
<area shape="rect" id="node12" href="namespacenga__cf__bmix__func.html#a10d9b85c2907eaf67a19676f6e903b99" title="nga_cf_bmix_func::cf\l_bmix_init" alt="" coords="1061,153,1207,194"/>
<area shape="rect" id="node14" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="1063,218,1205,259"/>
<area shape="rect" id="node13" href="nga__cf__bmix_8f90.html#a03498a029da62800ff43fa618657ae83" title="nga_cf_bmix" alt="" coords="1271,160,1367,187"/>
<area shape="rect" id="node15" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="1273,225,1365,252"/>
<area shape="rect" id="node27" href="namespacevdf__object.html#afa01933d144bc71cdf8aa806a4204113" title="vdf_object::destroy\l_vdf_ptr" alt="" coords="434,733,567,774"/>
<area shape="rect" id="node28" href="namespacevdf__object.html#af923aa3bae41b7ed18e048140f5f83e8" title="vdf_object::delete_vdf" alt="" coords="425,631,576,657"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
